//获取URL中参数
function getQueryStringRegExp(name){    
	var reg = new RegExp("(^|\\?|&)"+ name +"=([^&]*)(\\s|&|$)", "i");
	if (reg.test(location.href))
		return unescape(RegExp.$2.replace(/\+/g, " "));
		return "";
}
//去掉字符串前后空格
String.prototype.Trim = function() 
{ 
    return this.replace(/(^\s*)|(\s*$)/g, ""); 
};

//当在一个控件上按回车键时,触发另一个控件的click事件
//调用方法  $('#txt').Enter('#btn') 
//注:txt为一个文本框ID,btn表示一个按钮ID,当焦点在txt上时如果按回车会触发btn的click事件
(function($){
    $.fn.Enter=function(destObjSelector){
        $(this).keydown(function(event){
            if(event.keyCode == 13){
                $(destObjSelector).click();
            };
        });
    };
})(jQuery);

function checkLoginStatus(data){
    var result = true;
    if(data.indexOf('<!DOCTYPE') != -1){
        result = false;
        alert('身份已过期,请重新登陆!');
    }
    return result;
}

/*提示信息并设置页面定时转向
 *@ sec: 显示时间，一般为2000ms
 *@ info : 提示信息
 *@url: 跳转网址
*/
function ShowMsgBox(info,url)
{
   ShowMsgBox1(2000,info,url);
}
function ShowMsgBox1(sec,info,url)
{
    $("#msgbox").popup({width:'375px',height:'145px',popupHead:'msgbox_top',btnClose:'msgbox_close'});
    $("#msgbox_info").html(info+"<br/>正在跳转...");
    setTimeout("window.location.href='"+url+"'",sec);
}
$(document).ready(function(){
	$(".container").css("height",$(window).height()+"px");	
});